# OSGeo::FDO::Xml::XmlDeserializable Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlDeserializable:

[legend]

List of all members.

## Detailed Description

XmlDeserializable provides the ability to deserialize an FDO object from an XML Document. Deserialization support can be added to any class by basing it on XmlDeserializable and implementing the XmlSaxHander callbacks.

()

## Public Member Functions
OSGeo::FDO::Xml::XmlFlags * | GetDeserializationFlags ()
| Gets the XML Flags that were passed to the ReadXml() function that is currently being executed. This function would typically be called by the XmlSaxHandler callbacks.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromExternalStylesheet ()
| Gets the stylesheet for converting the XML document from external to internal format. When classes derived from XmlDeserializable define an internal format, they must override this function to return a stylesheet that does the conversion.
OSGeo::FDO::Common::Xml::XmlSaxContext * | GetSaxContext ()
| Gets the SAX context to pass to the XmlSaxHandler callbacks. Classes derived from XmlDeserializable can override this function to specify a SAX context with class-specific information.
OSGeo::FDO::Common::Xml::XmlReader * | GetXmlReader ()
| Gets the current XML Reader. This function would typically be called by the XmlSaxHandler callbacks when ReadXml() is being invoked. When ReadXml() reads from a file, stream, or text reader, a wrapping XML reader is automatically created.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from an XML reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader)
| Reads an XML document from an XML reader.
System::Void | ReadXml (System::String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads from an XML document in a file.
System::Void | ReadXml (System::String *fileName)
| Reads from an XML document in a file.